Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.keyattributedmr.model
Interface VKeyattributedmrPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VKeyattributedmrPackageImpl

    public interface VKeyattributedmrPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VKeyattributedmrFactory`

Nested Class Summary
`static interface` | `VKeyattributedmrPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VKeyattributedmrPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE` The meta object id for the ' `Key Attribute Domain Model Reference`' class.
`static int` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER` The feature id for the 'Change Listener' attribute list.
`static int` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE` The feature id for the 'Domain Model EFeature' reference.
`static int` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH` The feature id for the 'Domain Model EReference Path' reference list.
`static int` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_DMR` The feature id for the 'Key DMR' containment reference.
`static int` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_VALUE` The feature id for the 'Key Value' attribute.
`static int` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__VALUE_DMR` The feature id for the 'Value DMR' containment reference.
`static int` | `KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT` The number of structural features of the ' Key Attribute Domain Model Reference' class.

Method Summary
`VKeyattributedmrFactory` | `getKeyattributedmrFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getKeyAttributeDomainModelReference_KeyDMR()` Returns the meta object for the containment reference ' `Key DMR`'.
`org.eclipse.emf.ecore.EAttribute` | `getKeyAttributeDomainModelReference_KeyValue()` Returns the meta object for the attribute ' `Key Value`'.
`org.eclipse.emf.ecore.EReference` | `getKeyAttributeDomainModelReference_ValueDMR()` Returns the meta object for the containment reference ' `Value DMR`'.
`org.eclipse.emf.ecore.EClass` | `getKeyAttributeDomainModelReference()` Returns the meta object for class ' `Key Attribute Domain Model Reference`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VKeyattributedmrPackage eINSTANCE

  The singleton instance of the package.

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE

    static final int KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE

  The meta object id for the ' `Key Attribute Domain Model Reference`' class.

  See Also:
    `VKeyAttributeDomainModelReferenceImpl`, `VKeyattributedmrPackageImpl.getKeyAttributeDomainModelReference()`, Constant Field Values

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

    static final int KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

  The feature id for the 'Change Listener' attribute list.

  See Also:
    Constant Field Values

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

    static final int KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

  The feature id for the 'Domain Model EFeature' reference.

  See Also:
    Constant Field Values

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

    static final int KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

  The feature id for the 'Domain Model EReference Path' reference list.

  See Also:
    Constant Field Values

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_DMR

    static final int KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_DMR

  The feature id for the 'Key DMR' containment reference.

  See Also:
    Constant Field Values

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_VALUE

    static final int KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__KEY_VALUE

  The feature id for the 'Key Value' attribute.

  See Also:
    Constant Field Values

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__VALUE_DMR

    static final int KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE__VALUE_DMR

  The feature id for the 'Value DMR' containment reference.

  See Also:
    Constant Field Values

### KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

    static final int KEY_ATTRIBUTE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

  The number of structural features of the ' Key Attribute Domain Model Reference' class.

  See Also:
    Constant Field Values

Method Detail

### getKeyAttributeDomainModelReference

    org.eclipse.emf.ecore.EClass getKeyAttributeDomainModelReference()

  Returns the meta object for class ' `Key Attribute Domain Model Reference`'.

  Returns:
    the meta object for class 'Key Attribute Domain Model Reference'.
  See Also:
    `VKeyAttributeDomainModelReference`

### getKeyAttributeDomainModelReference_KeyDMR

    org.eclipse.emf.ecore.EReference getKeyAttributeDomainModelReference_KeyDMR()

  Returns the meta object for the containment reference ' `Key DMR`'.

  Returns:
    the meta object for the containment reference 'Key DMR'.
  See Also:
    `VKeyAttributeDomainModelReference.getKeyDMR()`, `getKeyAttributeDomainModelReference()`

### getKeyAttributeDomainModelReference_KeyValue

    org.eclipse.emf.ecore.EAttribute getKeyAttributeDomainModelReference_KeyValue()

  Returns the meta object for the attribute ' `Key Value`'.

  Returns:
    the meta object for the attribute 'Key Value'.
  See Also:
    `VKeyAttributeDomainModelReference.getKeyValue()`, `getKeyAttributeDomainModelReference()`

### getKeyAttributeDomainModelReference_ValueDMR

    org.eclipse.emf.ecore.EReference getKeyAttributeDomainModelReference_ValueDMR()

  Returns the meta object for the containment reference ' `Value DMR`'.

  Returns:
    the meta object for the containment reference 'Value DMR'.
  See Also:
    `VKeyAttributeDomainModelReference.getValueDMR()`, `getKeyAttributeDomainModelReference()`

### getKeyattributedmrFactory

    VKeyattributedmrFactory getKeyattributedmrFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.